import { CloudFormation } from '@aws-sdk/client-cloudformation';
import { ServiceCatalogAppRegistry } from '@aws-sdk/client-service-catalog-appregistry';
import { ServiceQuotas } from '@aws-sdk/client-service-quotas';
export default class AppRegistryService {
    private _appRegistry;
    private _cloudFormation;
    private _serviceQuotas;
    constructor(appRegistry: ServiceCatalogAppRegistry, cloudFormation: CloudFormation, serviceQuotas: ServiceQuotas);
    associateStackToAppRegistry(appRegistryName: string, stackName: string): Promise<void>;
    disassociateStackToAppRegistry(appRegistryName: string, stackName: string): Promise<void>;
}
//# sourceMappingURL=appRegistryService.d.ts.map