"use strict";
/*
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *  SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CFNTemplateParametersParser = void 0;
const zod_1 = require("zod");
// eslint-disable-next-line @rushstack/typedef-var
exports.CFNTemplateParametersParser = zod_1.z.record(zod_1.z.object({
    AllowedPattern: zod_1.z.string().optional(),
    AllowedValues: zod_1.z.string().array().optional(),
    ConstraintDescription: zod_1.z.string().optional(),
    Default: zod_1.z.string().optional(),
    Description: zod_1.z.string().optional(),
    MaxLength: zod_1.z.number().optional(),
    MaxValue: zod_1.z.number().optional(),
    MinLength: zod_1.z.number().optional(),
    MinValue: zod_1.z.number().optional(),
    NoEcho: zod_1.z.boolean().optional(),
    Type: zod_1.z.string()
}));
//# sourceMappingURL=cloudFormationTemplate.js.map