"use strict";
/*
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *  SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
const resourceTypeToKey = {
    environment: 'ENV',
    project: 'PROJ',
    envType: 'ET',
    envTypeConfig: 'ETC',
    dataset: 'DATASET',
    endpoint: 'ENDPOINT',
    instance: 'INID',
    awsAccount: 'AWSACC',
    account: 'ACC',
    costCenter: 'CC',
    sshKey: 'SSHKEY'
};
exports.default = resourceTypeToKey;
//# sourceMappingURL=resourceTypeToKey.js.map