"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListUsersForRoleRequestParser = void 0;
/*
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *  SPDX-License-Identifier: Apache-2.0
 */
const zod_1 = require("zod");
const validatorHelper_1 = require("../utilities/validatorHelper");
// eslint-disable-next-line @rushstack/typedef-var
exports.ListUsersForRoleRequestParser = zod_1.z
    .object(Object.assign(Object.assign({}, (0, validatorHelper_1.getPaginationParser)(1, 60)), { role: zod_1.z.enum(['ProjectAdmin', 'Researcher']), projectId: zod_1.z.string() }))
    .strict();
//# sourceMappingURL=listUsersForRoleRequest.js.map