"use strict";
/*
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *  SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
const QueryParameterFilterSchema = {
    type: 'object',
    properties: {
        eq: { type: 'string' },
        lt: { type: 'string' },
        lte: { type: 'string' },
        gt: { type: 'string' },
        gte: { type: 'string' },
        between: {
            type: 'object',
            properties: {
                value1: { type: 'string' },
                value2: { type: 'string' }
            },
            required: ['value1', 'value2']
        },
        begins: { type: 'string' }
    },
    additionalProperties: false
};
exports.default = QueryParameterFilterSchema;
//# sourceMappingURL=queryParameterFilterSchema.js.map